Class | ActiveMerchant::Billing::Integrations::Nochex::Notification
In: | lib/active_merchant/billing/integrations/nochex/notification.rb
Parent: | ActiveMerchant::Billing::Integrations::Notification

Parser and handler for incoming Automatic Payment Confirmations from Nochex.

### Methods

acknowledge complete? currency gross item_id payer_email received_at receiver_email security_key status test? transaction_id

### Included Modules

ActiveMerchant::PostsData

### Public Instance methods

acknowledge()

Acknowledge the transaction to Nochex. This method has to be called after a new apc arrives. Nochex will verify that all the information we received are correct and will return a ok or a fail. This is very similar to the PayPal IPN scheme.

Example:

      def nochex_ipn
        notify = NochexNotification.new(request.raw_post)

        if notify.acknowledge
          ... process order ... if notify.complete?
        else
          ... log possible hacking attempt ...
        end

complete?()
currency()
gross()

the money amount we received in X.2 decimal.

item_id()

Id of the order we passed to Nochex

payer_email()
received_at()

When was this payment received by the client.

receiver_email()
security_key()
status()
test?()

Was this a test transaction?

transaction_id()

[Validate]